<html>
  <head>
    <title>Querrys</title>

    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link rel="stylesheet" href="./CSS/styles.css" />
    <script src="./JavaScript/querry.js"></script>
  </head>
  <body>
    <div class="title">
      <h1 id="¨titulo¨">Operaciones sobre la Base de Datos</h1>
    </div>

    <div class="topnav">
      <a href="home.html">Home</a>
      <a href="database.html">Base de Datos online </a>
      <a href="querry.html">Realizar Querrys</a>
      <a href="grafo.html">Grafo de la BD</a>
      <a href="login.html">Log-in</a>
      <a href="admin.html">Usuarios en la BD</a>
    </div>

    <h4 class="header">Añadir artista:</h4>
    <div class="form">
      <form name="form">
        <label for="nombre">Nombre:</label>
        <input type="text" id="nombreCA" name:"nombreCA" size="20"
        maxlength="20" required="true">
        <div></div>
        <label for="apellidos">Edad:</label>
        <input type="text" id="edadCA" name:"edadCA" size="30" maxlength="20"
        required="true">
        <div></div>
        <label for="fecha">Nacionalidad</label>
        <input type="text" id="nacionalidadCA" name:"nacionalidadCA"
        required="true">
        <div></div>
        <input type="button" id="bCreateArtist" value="Añadir" />
        <div></div>
        <div id="addArtistResponse" class="text"></div>
      </form>
    </div>

    <h4 class="header">Añadir Grupo:</h4>
    <div class="form">
      <form name="form">
        <label for="nombre">Nombre:</label>
        <input type="text" id="nombreCGrp" name:"nombreCGrp" size="20"
        maxlength="20" required="true">
        <div></div>
        <input type="button" id="bCreateGroup" value="Añadir" />
        <div></div>
        <div id="addGroupResponse" class="text"></div>
      </form>
    </div>

    <h4 class="header">Añadir Género:</h4>
    <div class="form">
      <form name="form">
        <label for="nombre">Nombre:</label>
        <input type="text" id="nombreCGen" name:"nombreCGen" size="20"
        maxlength="20" required="true">
        <div></div>
        <input type="button" id="bCreateGender" value="Añadir" />
        <div></div>
        <div id="addGenderResponse" class="text"></div>
      </form>
    </div>

    <h4 class="header">Crear relación Grupo-Género:</h4>
    <div class="form">
      <form name="form">
        <label for="nombre">Nombre del Grupo:</label>
        <input type="text" id="nombre1_RGrpGen" name:"nombre1_RGrpGen" size="20"
        maxlength="20" required="true">
        <div></div>
        <label for="apellidos">Nombre del Género:</label>
        <input type="text" id="nombre2_RGrpGen" name:"nombre2_RGrpGen" size="30"
        maxlength="20" required="true">
        <div></div>
        <input type="button" id="bCreateRGrpGen" value="Crear" />
        <div></div>
        <div id="addRGrpGenResponse" class="text"></div>
      </form>
    </div>

    <h4 class="header">Crear relación Artista-Género:</h4>
    <div class="form">
      <form name="form">
        <label for="nombre">Nombre del Artista:</label>
        <input type="text" id="nombre1_RAGen" name:"nombre1_RAGen" size="20"
        maxlength="20" required="true">
        <div></div>
        <label for="apellidos">Nombre del Género:</label>
        <input type="text" id="nombre2_RAGen" name:"nombre2_RAGen" size="30"
        maxlength="20" required="true">
        <div></div>
        <input type="button" id="bCreateRAGen" value="Crear" />
        <div></div>
        <div id="addRAGenResponse" class="text"></div>
      </form>
    </div>

    <h4 class="header">Crear relación Artista-Grupo:</h4>
    <div class="form">
      <form name="form">
        <label for="nombre">Nombre del Artista:</label>
        <input type="text" id="nombre1_RAGrp" name:"nombre1_RAGrp" size="20"
        maxlength="20" required="true">
        <div></div>
        <label for="apellidos">Nombre del Grupo:</label>
        <input type="text" id="nombre2_RAGrp" name:"nombre2_RAGrp" size="30"
        maxlength="20" required="true">
        <div></div>
        <input type="button" id="bCreateRAGrp" value="Crear" />
        <div></div>
        <div id="addRAGrpResponse" class="text"></div>
      </form>
    </div>

    <h4 class="header">Eliminar Artista:</h4>
    <div class="form">
      <form name="form">
        <label for="nombre">Nombre del Artista:</label>
        <input type="text" id="nombreEA" name:"nombreEA" size="20"
        maxlength="20" required="true">
        <div></div>
        <input type="button" id="bDeleteA" value="Eliminar" />
        <div></div>
        <div id="deleteArtistResponse" class="text"></div>
      </form>
    </div>

    <h4 class="header">Eliminar Grupo:</h4>
    <div class="form">
      <form name="form">
        <label for="nombre">Nombre del Grupo:</label>
        <input type="text" id="nombreEGrp" name:"nombreEGrp" size="20"
        maxlength="20" required="true">
        <div></div>
        <input type="button" id="bDeleteGrp" value="Eliminar" />
        <div></div>
        <div id="deleteGroupResponse" class="text"></div>
      </form>
    </div>

    <h4 class="header">Eliminar Género:</h4>
    <div class="form">
      <form name="form">
        <label for="nombre">Nombre del Género:</label>
        <input type="text" id="nombreEGen" name:"nombreEGen" size="20"
        maxlength="20" required="true">
        <div></div>
        <input type="button" id="bDeleteGen" value="Eliminar" />
        <div></div>
        <div id="deleteGenderResponse" class="text"></div>
      </form>
    </div>

    <div></div>
    <h4 class="header">Eliminar todos los datos de la BD:</h4>
    <input type="button" id="bDeleteAll" value="Eliminar" />
    <div id="deleteDBResponse" class="text"></div>

    <div></div>
    <h4 class="header">Exportar la Base de datos:</h4>
    <input type="button" id="bExport" value="Exportar" />
    <div id="exportDBResponse" class="text"></div>

    <div></div>
    <h4 class="header">Importar un archivo JSON o CSV a la base de datos:</h4>
    <h6 class="header">
      Ten en cuenta que el archivo importado debe cumplir con el modelo de
      nuestra Base de Datos
    </h6>
    <input
      type="file"
      name="file"
      value="Seleccionar un archivo"
      id="importFile"
    />
    <input type="button" id="bImport" value="Importar" />
    <div id="importDBResponse" class="text"></div>
  </body>
</html>
